Summary: Desktop manager for the XFce Desktop Environment
Name: xfdesktop
Version: 4.2.3
Release: 2%{?dist}
License: GPL
URL: http://www.xfce.org/
Source0: http://www.us.xfce.org/archive/xfce-4.2.3.1/src/xfdesktop-4.2.3.tar.gz

# Change default for Fedora
Patch0: xfdesktop-image-4.2.1.patch

Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: xfce-mcs-manager
Requires: xfwm4
Requires: xfce4-panel
Requires: desktop-backgrounds-basic
BuildRequires: libxfce4mcs-devel >= %{version}
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: xfce4-panel-devel >= %{version}
BuildRequires: libxml2-devel
BuildRequires: xfce-mcs-manager-devel
BuildRequires: gettext

%description
This package includes a desktop manager for the XFce Desktop Environment

%prep
%setup -q

%patch0 -p1 -b .fedora

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/*/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/*/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS COPYING AUTHORS
%{_sysconfdir}/xdg/xfce4/*
%{_bindir}/*
%{_datadir}/xfce4/*
%{_libdir}/xfce4/mcs-plugins/*
%{_libdir}/xfce4/modules/*
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*

%changelog
* Mon Jun  5 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-2
- Add gettext BuildRequires. (fixes #194142)

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc4
- Update to 4.2.3
- Added dist tag

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Update to 4.2.2

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.fc4
- lowercase Release

* Wed Mar 23 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-2.FC4
- Removed unneeded a/la files
- Rediffed xfdesktop-image patch against current version and applied

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Thu Jan 27 2005 Than Ngo <than@redhat.com> 4.2.0-1
- 4.2.0

* Wed Sep 01 2004 Than Ngo <than@redhat.com> 4.0.6-2
- get rid useless static library #131485

* Tue Jul 20 2004 Than Ngo <than@redhat.com> 4.0.6-1
- update to 4.0.6
- fix bug #122743, #124951, #125058

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 20 2004 Than Ngo <than@redhat.com> 4.0.5-2
- Change defaults for fedora, thanks to Olivier Fourdan <fourdan@xfce.org>

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Wed Jan 14 2004 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build
